import matplotlib.pyplot as plt
numargs = boltzmann.numargs
[ lamda, N ] = Replace with reasonable value * numargs
rv = boltzmann(lamda, N)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = boltzmann.cdf(x, lamda, N)
h = plt.semilogy(np.abs(x - boltzmann.ppf(prb, lamda, N)) + 1e-20)

# Random number generation

R = boltzmann.rvs(lamda, N, size=100)
